$(function() {
	
	var valiobj= {
	    required:"erq",
	    remote: "请修正此字段",
	    email: "请输入有效的电子邮件地址",
	    url: "请输入有效的网址",
	    date: "请输入有效的日期",
	    dateISO: "请输入有效的日期 (YYYY-MM-DD)",
	    number: "请输入有效的数字",
	    digits: "只能输入数字",
	    creditcard: "请输入有效的信用卡号码",
	    equalTo: "你的输入不相同",
	    extension: "请输入有效的后缀",
	    maxlength: $.validator.format("最多可以输入 {0} 个字符"),
	    minlength: $.validator.format("最少要输入 {0} 个字符"),
	    rangelength: $.validator.format("请输入长度在 {0} 到 {1} 之间的字符串"),
	    range: $.validator.format("请输入范围在 {0} 到 {1} 之间的数值"),
	    max: $.validator.format("请输入不大于 {0} 的数值"),
	    min: $.validator.format("请输入不小于 {0} 的数值")
	}
	
	var default_value = "en";

	var value = window.localStorage.getItem("i18n_default_value");
	var sz = ["en", "zh", "ot"]
	var szname = ["English", "Chinese", "Other"]
	if (value) {
		default_value = value;
	}
	loadProperties(default_value);

	function loadProperties(val) {
	
		
		jQuery.i18n.properties({ //加载资浏览器语言对应的资源文件
			name: 'strings', //资源文件名称
			path: '/lanhu-bootstrap/i18n/', //资源文件路径
			mode: 'map', //用Map的方式使用资源文件中的值
			language: val, // - 不支持  ，支持_
			callback: function() { //加载成功后设置显示内容
				
				var sz=["maxlength","minlength","rangelength","range","max","min"]
				for(var i  in valiobj){
					
					var key= $.i18n.prop("validator_"+i);
					if(sz.indexOf(i)>-1){
						valiobj[i]= $.validator.format(key)
					}else{
						valiobj[i]=key
					}
					
				}
				//console.log(valiobj)
				$.extend($.validator.messages,valiobj);
				

			}
		});
	}





})
